/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include "project.h"

int main(void)
{
    __enable_irq(); /* Enable global interrupts. */
    /* Enable CM4.  CY_CORTEX_M4_APPL_ADDR must be updated if CM4 memory layout is changed. */
    Cy_SysEnableCM4(CY_CORTEX_M4_APPL_ADDR); 

    /* Place your initialization/startup code here (e.g. MyInst_Start()) */
    *Coprocessor_ADC_1_Adc_Filter_UDB_1_Datapath_1_D1_PTR = 1<<10;
    Coprocessor_ADC_1_DMA_ADC_Start((const void*)&(SAR->CHAN_RESULT[0]), (const void*)Coprocessor_ADC_1_Adc_Filter_UDB_1_Datapath_1_D0_PTR);
    Coprocessor_ADC_1_DMA_ADC_ClearInterrupt();
    Coprocessor_ADC_1_AFE_1_ADC_1_Start();
    PWM_1_Start();
    //Control_Reg_1_Write(1);
    for(;;)
    {
        /* Place your application code here. */
    }
}

/* [] END OF FILE */
